Differences between revisions 47 and 49 (spanning 2 versions)
Revision 47 as of 2018-04-02 19:41:57
Size: 8210
Editor: ?MikeGabriel
Comment:
Revision 49 as of 2018-04-02 20:39:41
Size: 8749
Editor: ?MikeGabriel
Comment:
Deletions are marked like this. Additions are marked like this.
Line 68: Line 68:
* network-manager-gnome (for libappindicator3-1) -> SEE BELOW
* remmina (for libappindicator3-1) -> SEE BELOW
* transmission-gtk (for libappindicator3-1) -> SEE BELOW
* ubiquity-frontend-gtk (for gir1.2-appindicator3-0.1)
* update-notifier (for libappindicator3-1)
* network-manager-gnome (for libappindicator3-1)       -> SEE BELOW
* remmina (for libappindicator3-1)       -> SEE BELOW
* transmission-gtk (for libappindicator3-1)       -> SEE BELOW
* ubiquity-frontend-gtk (for gir1.2-appindicator3-0.1)  
* update-notifier (for libappindicator3-1)       -> SEE BELOW
Line 145: Line 145:
=== Package: update-notifier === === Package: ubiquity (Ubuntu-only) ===

  * Who: sunweaver
  * Last change: 2018-04-02
  * Patch exists: yes
  * Patch-URL: https://launchpadlibrarian.net/363012998/ubiquity-18.04.4_18.04.4+ayatana.debdiff
  * Bug report: https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1760701
  * Comment: dropping the AppIndicator dependency from debian/control is a must in Ubuntu to exchange libappindicator with libayatana-appindicator in Ubuntu main
  * Fixed in version: -

=== Package: update-notifier (Ubuntu-only) ===
Line 153: Line 163:
  * Fixed in version:   * Fixed in version: -

Ubuntu Indicators to Ayatana Indicators Transition

Packages that require a Patch and are not yet being worked on

If interested in porting one the package from the below list to Ayatana Indicators, simply move the package name to the W-I-P section and create a status block for it.

Package in Debian with already enabled Indicator Support

Packages in Ubuntu that have Indicator Support enabled, but not so in Debian

  • brasero
  • deluge-gtk
  • glipper
  • gtk-recordmydesktop
  • kazam
  • lightdm-gtk-greeter
  • linuxdcpp
  • pasystray
  • quicksynergy
  • radiotray
  • uget
  • vino
  • virt-manager

Packages in Ubuntu main that need to be ported a.s.a.p.

$ reverse-depends -c main src:libappindicator
Reverse-Depends
===============
* network-manager-gnome         (for libappindicator3-1)       -> SEE BELOW
* remmina                       (for libappindicator3-1)       -> SEE BELOW
* transmission-gtk              (for libappindicator3-1)       -> SEE BELOW
* ubiquity-frontend-gtk         (for gir1.2-appindicator3-0.1)  
* update-notifier               (for libappindicator3-1)       -> SEE BELOW

W-I-P: Packages that currently get patched

Package: blueman

  • Who: sunweaver
  • Package (unstable): blueman

Package: gpodder

  • Who: sunweaver
  • Package (unstable): gpodder

Package: guake-indicator

Package: onboard

  • Who: sunweaver
  • Package (unstable): onboard

Package: ring

  • Who: sunweaver
  • Package (unstable): ring

Package: telegram-desktop

Package: winswitch

  • Who: sunweaver
  • Package (unstable): winswitch

SUBMITTED: Packages with patches sent out to package maintainers

Package: budgie-indicator-applet

Package: mate-polkit

Package: network-manager-applet

Package: ubiquity (Ubuntu-only)

Package: update-notifier (Ubuntu-only)

Package: transmission

Package: variety

TO-BE-REMOVED: Packages that should be rather removed from Debian than patched

Package: libgtk2-appindicator-perl

  • Who: jbicha, sunweaver
  • Last change: 2018-03-31
  • Removal Request: 894377

  • Other bug reports: 889108

  • Comment: Package has been removed from Debian

DONE: Packages that have been switched to Ayatana Indicators

Package: mate-indicator-applet

Package: xfce4-indicator-plugin

Package: remmina

  • Who: mfv
  • Last change: 2017-10-30
  • Patch exists: yes (upstream)
  • Patch-URL:
  • Bug report: -
  • Comment: -
  • Fixed in version: 1.2.0-rcgit.24-2